List perp markets
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/perps/markets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-labs.trade/api/v1/perps/markets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-labs.trade/api/v1/perps/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"symbol": "<string>",
"assetId": 123,
"marketPubkey": "<string>",
"splinePubkey": "<string>",
"baseAsset": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"coingeckoId": "<string>",
"tickSize": 123,
"baseLotsDecimals": 123,
"takerFeeBps": "4.27",
"makerFeeBps": "4.27",
"leverageTiersJson": "<string>",
"riskFactorsJson": "<string>",
"fundingIntervalSeconds": 123,
"fundingPeriodSeconds": 123,
"maxFundingRatePerInterval": 123,
"openInterestCapBaseLots": "<string>",
"maxLiquidationSizeBaseLots": "<string>",
"isolatedOnly": true,
"marketStatus": "<string>",
"markPriceUsd": "12.50",
"midPriceUsd": "12.50",
"oraclePriceUsd": "12.50",
"fundingRatePercentage": "4.27",
"openInterestBaseLots": "4.27",
"volume24hUsd": "12.50",
"priceChange24hPct": "4.27",
"prevDayPriceUsd": "12.50"
}
]
}{
"statusCode": 400,
"message": "Query parameter \"groupId\" is required",
"error": "Bad Request",
"code": "NOT_GROUP_MEMBER"
}Perpetuals
List perp markets
All tradable perp markets with live price/funding/volume fields.
GET
/
api
/
v1
/
perps
/
markets
List perp markets
Authorizations
Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).
Response
Markets.
Show child attributes
Show child attributes
⌘I